# class editHandler

Class used to extent how to enable/disable parts of the interface as focus changes. More...

Contains pure virtuals
Full name | `toEditWidget::editHandler`
Definition | `#include <toeditwidget.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- editHandler ()
- virtual ~editHandler ()
- virtual void receivedFocus (toEditWidget *widget)
- virtual void lostFocus (toEditWidget *widget)

## Detailed Description

Class used to extent how to enable/disable parts of the interface as focus changes.

editHandler ()

### editHandler

Constructor.

~editHandler ()

### ~editHandler

[virtual]

Destructor.

void receivedFocus (toEditWidget *widget)

### receivedFocus

[pure virtual]

Called when a new widget receives the focus.

void lostFocus (toEditWidget *widget)

### lostFocus

[pure virtual]

Called when a widget loses the focus.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.